## What
<strong><a href="https://bradfrost.com/demo/ish/">View Demo</a></strong>. ish. is yet another viewport resizer. What's with the name, you ask? Small-ish. Medium-ish. Large-ish. That's the idea. Many have long been preaching to <a href="http://www.netmagazine.com/tutorials/determining-breakpoints-responsive-design">let content, not device widths determine breakpoints</a> in responsive designs, so rather than determining several fixed breakpoints, ish. roughs out general ranges in order to better serve the <a href="http://static.lukew.com/unified_device_design.png">entire resolution spectrum</a>. 

## Why</h2>
Do we really need another viewport resizer? After all, there's no fewer than 19 <a href="http://bradfrost.github.com/this-is-responsive/resources.html#viewport-testing">viewport testing tools</a> out there already. 

The real reasons for this tool is to educate and to facilitate a mental shift. Many clients, designers and developers get hung up on specific device widths, which is why this tool doesn't include any such language, device chrome or anything like that. Ish. helps keep everyone focused on making a design that looks and functions great at any resolution.

## How
<ol>
<li>Find the URL button in the top left and enter any url.</li>
<li>Once the site loads find the <strong>Size</strong> button and expand the sizing options</li>
<li>Choose Small-ish, Medium-ish, Large-ish, Xtra-Large-ish, or any random size (many thanks to <a href="https://twitter.com/jordanmoore">Jordan Moore</a> and his <a href="http://www.jordanm.co.uk/lab/responsiveroulette"> Responsive Roulette</a> for the idea). Or enter any specific value.</li>
<li>Watch as the site resizes and look for any visual or functional oddities along the way.</li>
<li>Use Alt+U to toggle in and out of Focus Mode</li>
<li>Focus Mode will remove the ish. UI and focus on the content (useful if demonstrating a site to clients)</li>
<li>Once in Focus Mode, use keys 1 - 5 to resize the viewport</li>
</ol>

## Who
Who is this for? Clients. Visual designers. Developers. Really anyone involved in the project that needs educated about creating truly device-agnostic websites.

## Where
You can find the project on <a href="https://github.com/bradfrost/ish.">Github.</a> You should set up ish. on your own server or dev environment for best results.
